Diese Seite wurde automatisch übersetzt und kann Ungenauigkeiten enthalten. Um einen Übersetzungsfehler zu melden, nutzen Sie das Feedback unten im Inhaltsverzeichnis rechts auf der Seite.
E-Mail-Template-Informationen anzeigen
get
/templates/email/info
Verwenden Sie diesen Endpunkt, um Informationen über Ihre E-Mail-Templates zu erhalten.

Wichtig
Templates, die mit dem Drag-and-Drop-Editor für E-Mails erstellt wurden, werden nicht akzeptiert.
Voraussetzungen
Um diesen Endpunkt zu verwenden, benötigen Sie einen API-Schlüssel mit der Berechtigung templates.email.info.
Rate-Limits
Wir wenden auf diesen Endpunkt das standardmäßige Braze-Rate-Limit von 250.000 Anfragen pro Stunde an, wie in API-Rate-Limits dokumentiert.
Anfrageparameter
| Parameter | Erforderlich | Datentyp | Beschreibung |
|---|---|---|---|
email_template_id |
Erforderlich | String | Siehe E-Mail-Template-API-Bezeichner. |
Beispielanfrage
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/templates/email/info?email_template_id={{email_template_id}}' \
--header 'Authorization: Bearer YOUR_REST_API_KEY'
Antwort
1
2
3
4
5
6
7
8
9
10
11
12
13
{
"email_template_id": (string) Your email template's API Identifier,
"template_name": (string) The name of your email template,
"description": (string) The email template description,
"subject": (string) The email template subject line,
"preheader": (optional, string) The email preheader used to generate previews in some clients),
"body": (optional, string) The email template body that may include HTML,
"plaintext_body": (optional, string) A plaintext version of the email template body,
"should_inline_css": (optional, boolean) Whether there is inline CSS in the body of the template - defaults to the css inlining value for the workspace,
"tags": (string) Tag names,
"created_at": (string) The time the email was created at in ISO 8601,
"updated_at": (string) The time the email was updated in ISO 8601
}
Die Bilder in dieser Antwort werden in der Variable body als HTML angezeigt.
New Stuff!